---
hide-toc: true
---

# Background

**Hijri Converter** is a Python package to convert accurately between Hijri and 
Gregorian dates based on the Umm al-Qura calendar; which is the official Hijri lunar 
calendar in Saudi Arabia. The calendar was adopted by the Saudi government in 1346 
AH (1 July 1927 CE) for administrative purposes. King Abdulaziz City for Science and 
Technology (KACST) determines the astronomical rules behind the calendar calculations.

This Hijri calendar is commonly used in Saudi Arabia, notably within the public sector.
Official documents, political letters, healthcare reports, and education 
certificates are just examples of many other documents dated in Hijri. In contrast, 
the private sector has been using the Gregorian calendar for years, as the most 
widely used calendar in the world today.

An accurate converter between Hijri and Gregorian dates is a necessity. For instance, 
when conducting researches, analyzing data, or developing solutions that may have 
Hijri dates. Therefore, the **Hijri Converter** was developed to fill the gap with 
higher code quality, more accuracy, and better performance compared to other tools.


## Acknowledgements

* [R.H. van Gent](http://www.staff.science.uu.nl/~gent0113) &mdash; inspiration,
  scientific guidance and resources.
* [@AZalshehri7](https://github.com/AZalshehri7) &mdash; support in dates review and 
  conversion accuracy verification.
